package dev.fyloz.trial.colorrecipesexplorer.dao

import dev.fyloz.trial.colorrecipesexplorer.core.model.Employee
import dev.fyloz.trial.colorrecipesexplorer.core.model.EmployeeGroup
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface EmployeeRepository : JpaRepository<Employee, Long> {
    fun existsByFirstNameAndLastName(firstName: String, lastName: String): Boolean

    fun findByFirstNameAndLastName(firstName: String, lastName: String): Employee?
}

@Repository
interface  EmployeeGroupRepository : JpaRepository<EmployeeGroup, Long>
