import {Component} from '@angular/core';
import {Router} from "@angular/router";

@Component({
  selector: 'cre-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.sass']
})
export class HeaderComponent {
  links = [
    {route: 'color', title: 'Couleurs'},
    {route: 'inventory', title: 'Inventaire'},
    {route: 'account', title: 'Connexion'}
  ];
  _activeLink = this.links[0].route;

  constructor(
    private router: Router
  ) {
  }

  set activeLink(link: string) {
    this._activeLink = link;
    this.router.navigate([link]);
  }

  get activeLink() {
    return this._activeLink;
  }
}
